import { request } from '@umijs/max';
import config from '../config';

/**
 * 收益列表
 * @param data
 * @param options
 * @returns
 */
export async function getIncomeListApi(data: TASKAPI.IncomeList, options?: { [key: string]: any }) {
  return request<API.Result>(config.API_BASE_URL + '/api/material/income/list', {
    method: 'POST',
    data,
    ...(options || {}),
  });
}
