// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';
import config from '../config';

/**
 * 任务发布
 * @param data
 * @param options
 * @returns
 */
export async function addTaskApi(data: TASKAPI.AddTask, options?: { [key: string]: any }) {
  return request<API.Result>(config.API_BASE_URL + '/api/task/add', {
    method: 'POST',
    data,
    ...(options || {}),
  });
}

/**
 * 任务修改
 * @param data
 * @param options
 * @returns
 */
export async function modifyTaskApi(data: TASKAPI.ModifyTask, options?: { [key: string]: any }) {
  return request<API.Result>(config.API_BASE_URL + '/api/task/modify', {
    method: 'POST',
    data,
    ...(options || {}),
  });
}

/**
 * 我的任务列表
 * @param data
 * @param options
 * @returns
 */
export async function getTaskListApi(data: TASKAPI.TaskList, options?: { [key: string]: any }) {
  return request<API.Result>(config.API_BASE_URL + '/api/task/manage/list', {
    method: 'POST',
    data,
    ...(options || {}),
  });
}
